let H =
      https://gitlab.horizon-haskell.net/dhall/horizon-spec/-/raw/0.10.0/horizon-spec/package.dhall

let packages =
      { Agda = H.callHackage "Agda" "2.7.0.1"
      , HsOpenSSL = H.callHackage "HsOpenSSL" "0.11.7.9"
      , JuicyPixels = H.callHackage "JuicyPixels" "3.3.9"
      , Only = H.callHackage "Only" "0.1"
      , RSA = H.callHackage "RSA" "2.4.1"
      , STMonadTrans = H.callHackage "STMonadTrans" "0.4.8"
      , VulkanMemoryAllocator = H.callHackage "VulkanMemoryAllocator" "0.11.0.1"
      , aeson-typescript = H.callHackage "aeson-typescript" "0.6.4.0"
      , authenticate-oauth = H.callHackage "authenticate-oauth" "1.7"
      , base64 = H.callHackage "base64" "1.0"
      , bin = H.callHackage "bin" "0.1.4"
      , binary-orphans = H.callHackage "binary-orphans" "1.0.5"
      , boxes = H.callHackage "boxes" "0.1.5"
      , bytes = H.callHackage "bytes" "0.17.4"
      , bytestring-lexing = H.callHackage "bytestring-lexing" "0.5.0.14"
      , cassava = H.callHackage "cassava" "0.5.3.2"
      , chell = H.callHackage "chell" "0.5.0.2"
      , chell-quickcheck = H.callHackage "chell-quickcheck" "0.2.5.4"
      , clientsession = H.callHackage "clientsession" "0.9.3.0"
      , composite-base =
          H.callGit
            "https://github.com/locallycompact/composite-base"
            "fdcf4721c1337aec2ebcd4e0cef0e7964e0519ff"
            (None H.Subdir)
      , concise = H.callHackage "concise" "0.1.0.1"
      , concurrent-extra = H.callHackage "concurrent-extra" "0.7.0.12"
      , criterion = H.callHackage "criterion" "1.6.4.0"
      , crypto-pubkey-types = H.callHackage "crypto-pubkey-types" "0.4.3"
      , cryptohash-md5 = H.callHackage "cryptohash-md5" "0.11.101.0"
      , css-text = H.callHackage "css-text" "0.1.3.0"
      , data-binary-ieee754 = H.callHackage "data-binary-ieee754" "0.4.4"
      , data-hash = H.callHackage "data-hash" "0.2.0.1"
      , deepseq-generics = H.callHackage "deepseq-generics" "0.2.0.0"
      , dense-linear-algebra = H.callHackage "dense-linear-algebra" "0.1.0.0"
      , dependent-map = H.callHackage "dependent-map" "0.4.0.0"
      , digest = H.callHackage "digest" "0.0.2.1"
      , directory-tree = H.callHackage "directory-tree" "0.12.1"
      , doctest = H.callHackage "doctest" "0.23.0"
      , equivalence = H.callHackage "equivalence" "0.4.1"
      , errors = H.callHackage "errors" "2.3.0"
      , extensible-effects = H.callHackage "extensible-effects" "5.0.0.1"
      , generic-monoid = H.callHackage "generic-monoid" "0.1.0.1"
      , generics-sop = H.callHackage "generics-sop" "0.5.1.4"
      , ghc-tcplugins-extra =
          H.callGit
            "https://github.com/locallycompact/ghc-tcplugins-extra"
            "6246d5728ff81a7634a7c35a1e3c8bc4c80a7ef5"
            (None H.Subdir)
      , hashtables = H.callHackage "hashtables" "1.4.2"
      , haskell-src = H.callHackage "haskell-src" "1.0.4.1"
      , hedis = H.callHackage "hedis" "0.15.2"
      , hint = H.callHackage "hint" "0.9.0.8"
      , hspec-expectations-lifted =
          H.callHackage "hspec-expectations-lifted" "0.10.0"
      , hspec-wai = H.callHackage "hspec-wai" "0.11.1"
      , html-conduit = H.callHackage "html-conduit" "1.3.2.2"
      , http-api-data = H.callHackage "http-api-data" "0.6.1"
      , http-common = H.callHackage "http-common" "0.8.3.4"
      , http-media = H.callHackage "http-media" "0.8.1.1"
      , http-streams = H.callHackage "http-streams" "0.8.9.9"
      , hxt = H.callHackage "hxt" "9.3.1.22"
      , hxt-charproperties = H.callHackage "hxt-charproperties" "9.5.0.0"
      , hxt-regex-xmlschema = H.callHackage "hxt-regex-xmlschema" "9.2.0.7"
      , hxt-unicode = H.callHackage "hxt-unicode" "9.0.2.4"
      , inline-c = H.callHackage "inline-c" "0.9.1.10"
      , insert-ordered-containers =
          H.callHackage "insert-ordered-containers" "0.2.6"
      , io-streams = H.callHackage "io-streams" "1.5.2.2"
      , io-streams-haproxy = H.callHackage "io-streams-haproxy" "1.0.1.0"
      , jose = H.callHackage "jose" "0.11"
      , jose-jwt = H.callHackage "jose-jwt" "0.10.0"
      , js-chart = H.callHackage "js-chart" "2.9.4.1"
      , lift-type = H.callHackage "lift-type" "0.1.2.0"
      , linear = H.callHackage "linear" "1.23"
      , microstache = H.callHackage "microstache" "1.0.3"
      , monad-time = H.callHackage "monad-time" "0.4.0.0"
      , monads-tf = H.callHackage "monads-tf" "0.3.0.1"
      , monoidal-containers = H.callHackage "monoidal-containers" "0.6.5.0"
      , murmur-hash = H.callHackage "murmur-hash" "0.1.0.11"
      , network-info = H.callHackage "network-info" "0.2.1"
      , newtype = H.callHackage "newtype" "0.2.2.0"
      , openapi3 = H.callHackage "openapi3" "3.2.4"
      , openssl-streams = H.callHackage "openssl-streams" "1.2.3.0"
      , optics = H.callHackage "optics" "0.4.2.1"
      , optics-extra = H.callHackage "optics-extra" "0.4.2.1"
      , optics-th = H.callHackage "optics-th" "0.4.1"
      , options = H.callHackage "options" "1.2.1.2"
      , path-pieces = H.callHackage "path-pieces" "0.2.1"
      , peano = H.callHackage "peano" "0.1.0.2"
      , persistent = H.callHackage "persistent" "2.14.6.3"
      , persistent-postgresql = H.callHackage "persistent-postgresql" "2.13.6.2"
      , persistent-qq = H.callHackage "persistent-qq" "2.12.0.6"
      , persistent-sqlite = H.callHackage "persistent-sqlite" "2.13.3.0"
      , persistent-template = H.callHackage "persistent-template" "2.12.0.0"
      , persistent-test = H.callHackage "persistent-test" "2.13.1.3"
      , pipes = H.callHackage "pipes" "4.3.16"
      , pipes-attoparsec = H.callHackage "pipes-attoparsec" "0.6.0"
      , pipes-bytestring = H.callHackage "pipes-bytestring" "2.1.7"
      , pipes-group = H.callHackage "pipes-group" "1.0.12"
      , pipes-parse = H.callHackage "pipes-parse" "3.0.9"
      , polyparse = H.callHackage "polyparse" "1.13"
      , polysemy =
          H.callGit
            "https://github.com/locallycompact/polysemy"
            "ea1e171d4b7f0031ba5349f5851f2518ea9e29b7"
            (Some "./")
      , polysemy-plugin =
          H.callGit
            "https://github.com/locallycompact/polysemy"
            "ea1e171d4b7f0031ba5349f5851f2518ea9e29b7"
            (Some "polysemy-plugin/")
      , port-utils = H.callHackage "port-utils" "0.2.1.0"
      , postgres-options = H.callHackage "postgres-options" "0.2.2.0"
      , postgresql-libpq = H.callHackage "postgresql-libpq" "0.11.0.0"
      , postgresql-libpq-configure =
          H.callHackage "postgresql-libpq-configure" "0.11"
      , postgresql-simple = H.callHackage "postgresql-simple" "0.7.0.0"
      , pqueue = H.callHackage "pqueue" "1.5.0.0"
      , quiet = H.callHackage "quiet" "0.2"
      , readable = H.callHackage "readable" "0.3.1"
      , recursion-schemes = H.callHackage "recursion-schemes" "5.2.3"
      , regex-compat = H.callHackage "regex-compat" "0.95.2.1"
      , resource-pool = H.callHackage "resource-pool" "0.4.0.0"
      , rio = H.callHackage "rio" "0.1.22.0"
      , scanner = H.callHackage "scanner" "0.3.1"
      , sdl2 = H.callHackage "sdl2" "2.5.5.0"
      , sdl2-gfx = H.callHackage "sdl2-gfx" "0.3.0.0"
      , sdl2-image = H.callHackage "sdl2-image" "2.1.0.0"
      , sdl2-mixer = H.callHackage "sdl2-mixer" "1.2.0.0"
      , sdl2-ttf = H.callHackage "sdl2-ttf" "2.1.3"
      , selda =
          H.callGit
            "https://github.com/guibou/selda"
            "54c12169ce8cd46a7b3c698f65cea55e41a13fe6"
            (Some "selda/")
      , servant = H.callHackage "servant" "0.20.2"
      , servant-auth = H.callHackage "servant-auth" "0.4.2.0"
      , servant-auth-client = H.callHackage "servant-auth-client" "0.4.2.0"
      , servant-auth-server = H.callHackage "servant-auth-server" "0.4.9.0"
      , servant-client = H.callHackage "servant-client" "0.20.2"
      , servant-client-core = H.callHackage "servant-client-core" "0.20.2"
      , servant-docs = H.callHackage "servant-docs" "0.13.1"
      , servant-foreign = H.callHackage "servant-foreign" "0.16.1"
      , servant-multipart = H.callHackage "servant-multipart" "0.12.1"
      , servant-multipart-api = H.callHackage "servant-multipart-api" "0.12.1"
      , servant-server = H.callHackage "servant-server" "0.20.2"
      , shakespeare = H.callHackage "shakespeare" "2.1.0.1"
      , should-not-typecheck = H.callHackage "should-not-typecheck" "2.1.0"
      , skein = H.callHackage "skein" "1.0.9.4"
      , snap-core = H.callHackage "snap-core" "1.0.5.1"
      , snap-server = H.callHackage "snap-server" "1.1.2.1"
      , sop-core = H.callHackage "sop-core" "0.5.0.2"
      , statistics = H.callHackage "statistics" "0.16.3.0"
      , string-conversions = H.callHackage "string-conversions" "0.4.0.1"
      , stringsearch = H.callHackage "stringsearch" "0.3.6.6"
      , swagger2 = H.callHackage "swagger2" "2.8.9"
      , system-fileio = H.callHackage "system-fileio" "0.3.16.6"
      , system-filepath = H.callHackage "system-filepath" "0.4.14.1"
      , tagsoup = H.callHackage "tagsoup" "0.14.8"
      , tasty-wai = H.callHackage "tasty-wai" "0.1.2.0"
      , th-extras = H.callHackage "th-extras" "0.0.0.8"
      , threads = H.callHackage "threads" "0.5.1.8"
      , time-locale-compat = H.callHackage "time-locale-compat" "0.1.1.5"
      , timeout = H.callHackage "timeout" "0.1.1"
      , type-errors = H.callHackage "type-errors" "0.2.0.2"
      , unagi-chan = H.callHackage "unagi-chan" "0.4.1.4"
      , uri-bytestring = H.callHackage "uri-bytestring" "0.4.0.0"
      , uuid = H.callHackage "uuid" "1.3.16"
      , vector-hashtables = H.callHackage "vector-hashtables" "0.1.2.0"
      , vinyl = H.callHackage "vinyl" "0.14.3"
      , vulkan = H.callHackage "vulkan" "3.26.2"
      , vulkan-utils = H.callHackage "vulkan-utils" "0.5.10.6"
      , wai-app-static = H.callHackage "wai-app-static" "3.1.9"
      , wai-extra = H.callHackage "wai-extra" "3.1.16"
      , webdriver = H.callHackage "webdriver" "0.12.0.1"
      , wreq = H.callHackage "wreq" "0.5.4.3"
      , xml-conduit = H.callHackage "xml-conduit" "1.10.0.0"
      , xml-types = H.callHackage "xml-types" "0.3.8"
      , xmlgen = H.callHackage "xmlgen" "0.6.2.2"
      , xss-sanitize = H.callHackage "xss-sanitize" "0.3.7.2"
      , yesod = H.callHackage "yesod" "1.6.2.1"
      , yesod-core = H.callHackage "yesod-core" "1.6.26.0"
      , yesod-form = H.callHackage "yesod-form" "1.7.9"
      , yesod-persistent = H.callHackage "yesod-persistent" "1.6.0.8"
      , yesod-test = H.callHackage "yesod-test" "1.6.19"
      , zip-archive = H.callHackage "zip-archive" "0.4.3.2"
      , zlib-bindings = H.callHackage "zlib-bindings" "0.1.1.5"
      }

in  H.HorizonExport.MakeOverlay
      { overlayFile = "overlay.nix"
      , packagesDir = "pkgs/"
      , overlay = { compiler = "ghc-9.12.1", packages = toMap packages }
      }
